Bug 1574221 - firewalld module fails with "global name 'fw_offline' is not defined" error
Summary: firewalld module fails with "global name 'fw_offline' is not defined" error
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ansible
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 20:10 UTC by redhat
Modified: 2018-06-24 20:50 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-20 19:32:17 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github /ansible ansible issues 38161 None None None 2018-05-02 20:10 UTC

Description redhat 2018-05-02 20:10:17 UTC
Description of problem:

firewalld module fails with "global name 'fw_offline' is not defined" error

Version-Release number of selected component (if applicable):

ansible-2.5.2-1

How reproducible:

Steps to Reproduce:
1. See instructions on https://github.com/ansible/ansible/issues/38161

Actual results:

Error is displayed

Expected results:

Error is not displayed, and firewalld is configured using Ansible

Additional info:

Bug report https://github.com/ansible/ansible/issues/38161 fixed with PR https://github.com/ansible/ansible/pull/39394 and merged to ansible:stable-2.5

Comment 1 Fedora Update System 2018-05-18 04:03:15 UTC
ansible-2.5.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-77214e2c70

Comment 2 Fedora Update System 2018-05-18 04:03:42 UTC
ansible-2.5.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-6a235ab252

Comment 3 Fedora Update System 2018-05-18 04:03:57 UTC
ansible-2.5.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3d8c64d3c6

Comment 4 Fedora Update System 2018-05-18 04:04:20 UTC
ansible-2.5.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c5c2ad58de

Comment 5 Fedora Update System 2018-05-19 01:48:08 UTC
ansible-2.5.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3d8c64d3c6

Comment 6 Fedora Update System 2018-05-19 04:20:53 UTC
ansible-2.5.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-77214e2c70

Comment 7 Fedora Update System 2018-05-19 04:24:06 UTC
ansible-2.5.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c5c2ad58de

Comment 8 Fedora Update System 2018-05-19 04:37:41 UTC
ansible-2.5.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-6a235ab252

Comment 9 Fedora Update System 2018-05-20 19:32:17 UTC
ansible-2.5.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-06-02 21:22:21 UTC
ansible-2.5.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-06-16 01:20:50 UTC
ansible-2.5.5-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b619637e45

Comment 12 Fedora Update System 2018-06-16 01:21:57 UTC
ansible-2.5.5-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a6e6196b9

Comment 13 Fedora Update System 2018-06-16 20:25:38 UTC
ansible-2.5.5-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b619637e45

Comment 14 Fedora Update System 2018-06-16 21:52:44 UTC
ansible-2.5.5-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a6e6196b9

Comment 15 Fedora Update System 2018-06-24 20:10:23 UTC
ansible-2.5.5-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-06-24 20:50:04 UTC
ansible-2.5.5-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.